跳转到主要内容
告警与响应相关接口/告警通道与集成
GETAlerting起始版本 1.0同步需要认证

重试告警通知队列统计

获取重试队列统计列表待处理死信通知。

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

请求参数

此接口无需请求参数。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • pendingCountInteger

    待处理数量。

    示例: 5

  • deadCountInteger

    死信数量。

    示例: 2

  • itemsList

    条目列表。

    示例: (nested array)

    • notificationIdString

      唯一标识符通知。

      示例: notif-001

    • alertIdString

      告警ID。

      示例: alert-789xyz

    • channelTypeString

      渠道类型。

      示例: email

    • payloadString

      序列化通知负载。

      示例: {...}

    • attemptCountInteger

      尝试数量。

      示例: 3

    • maxAttemptsInteger

      最大数量重试尝试允许。

      示例: 5

    • nextRetryAtString

      下次重试时间。

      示例: 2026-01-15T08:00:00Z

    • lastErrorString

      错误消息最近一次失败尝试。

      示例: connection timeout

    • statusString

      状态信息。

      示例: dead

    • createdAtString

      创建时间。

      示例: 2026-01-15T08:00:00Z

请求地址

GET/api/v1/alerting/notification-retry

/api/v1/alerting/notification-retry

操作 ID

GetAlertNotificationRetryQueueStats

永久链接

请求示例

curl -X GET '{host}/api/v1/alerting/notification-retry' -H 'Authorization: Bearer {token}'

响应示例

200
{
  "pendingCount": 5,
  "deadCount": 2,
  "items": [
    {}
  ]
}

变更历史

此 API 暂无变更历史记录。

查看全部变更历史